Skills
GET
/workspaces/{workspaceId}/inbox/skills
List Agent Skills
Queryparameters
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
Antwoord-payload
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
results
array of object
verplicht
Onderliggende attributen tonen
results.createdAt
string
verplicht
results.createdBy
string
verplicht
results.description
string
verplicht
results.id
string
verplicht
results.name
string
verplicht
results.updatedAt
string
verplicht
results.updatedBy
string
verplicht
results.valueType
string
verplicht
AgentSkillValueType defines how can the Values of a Skill can be selected.
Possible values: single, multiple, boolean
results.values
array of object
verplicht
Onderliggende attributen tonen
results.values.createdAt
string
verplicht
results.values.icon
string
verplicht
results.values.id
string
verplicht
results.values.value
string
verplicht
results.workspaceId
string
verplicht
Codevoorbeeld
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/inbox/skills' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'POST
/workspaces/{workspaceId}/inbox/skills
Create Agent Skill
Verzoek-payload
name
string
verplicht
description
string
verplicht
valueType
string
verplicht
AgentSkillValueType defines how can the Values of a Skill can be selected.
Possible values: single, multiple, boolean
values
array of object
verplicht
Onderliggende parameters tonen
values.value
string
verplicht
values.icon
string
verplicht
Antwoord-payload
createdAt
string
verplicht
createdBy
string
verplicht
description
string
verplicht
id
string
verplicht
name
string
verplicht
updatedAt
string
verplicht
updatedBy
string
verplicht
valueType
string
verplicht
AgentSkillValueType defines how can the Values of a Skill can be selected.
Possible values: single, multiple, boolean
values
array of object
verplicht
Onderliggende attributen tonen
values.createdAt
string
verplicht
values.icon
string
verplicht
values.id
string
verplicht
values.value
string
verplicht
workspaceId
string
verplicht
Codevoorbeeld
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/inbox/skills' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'GET
/workspaces/{workspaceId}/inbox/skills/{agentSkillId}
Get Agent Skill
Antwoord-payload
createdAt
string
verplicht
createdBy
string
verplicht
description
string
verplicht
id
string
verplicht
name
string
verplicht
updatedAt
string
verplicht
updatedBy
string
verplicht
valueType
string
verplicht
AgentSkillValueType defines how can the Values of a Skill can be selected.
Possible values: single, multiple, boolean
values
array of object
verplicht
Onderliggende attributen tonen
values.createdAt
string
verplicht
values.icon
string
verplicht
values.id
string
verplicht
values.value
string
verplicht
workspaceId
string
verplicht
Codevoorbeeld
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/inbox/skills/{agentSkillId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'PATCH
/workspaces/{workspaceId}/inbox/skills/{agentSkillId}
Update Agent Skill
Verzoek-payload
name
string
description
string
valueType
string
AgentSkillValueType defines how can the Values of a Skill can be selected.
Possible values: single, multiple, boolean
values
array of object
Onderliggende parameters tonen
values.id
string
values.value
string
values.icon
string
values.createdAt
string
Antwoord-payload
createdAt
string
verplicht
createdBy
string
verplicht
description
string
verplicht
id
string
verplicht
name
string
verplicht
updatedAt
string
verplicht
updatedBy
string
verplicht
valueType
string
verplicht
AgentSkillValueType defines how can the Values of a Skill can be selected.
Possible values: single, multiple, boolean
values
array of object
verplicht
Onderliggende attributen tonen
values.createdAt
string
verplicht
values.icon
string
verplicht
values.id
string
verplicht
values.value
string
verplicht
workspaceId
string
verplicht
Codevoorbeeld
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/inbox/skills/{agentSkillId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'DELETE
/workspaces/{workspaceId}/inbox/skills/{agentSkillId}
Delete Agent Skill
Codevoorbeeld
curl -X DELETE 'https://api.bird.com/workspaces/{workspaceId}/inbox/skills/{agentSkillId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'